"use strict";
// *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Application = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = new scm.Application("example", {});
 * ```
 */
class Application extends pulumi.CustomResource {
    /**
     * Get an existing Application resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new Application(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Application.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Application.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["ableToTransferFile"] = state ? state.ableToTransferFile : undefined;
            resourceInputs["algDisableCapability"] = state ? state.algDisableCapability : undefined;
            resourceInputs["category"] = state ? state.category : undefined;
            resourceInputs["consumeBigBandwidth"] = state ? state.consumeBigBandwidth : undefined;
            resourceInputs["dataIdent"] = state ? state.dataIdent : undefined;
            resourceInputs["default"] = state ? state.default : undefined;
            resourceInputs["description"] = state ? state.description : undefined;
            resourceInputs["device"] = state ? state.device : undefined;
            resourceInputs["evasiveBehavior"] = state ? state.evasiveBehavior : undefined;
            resourceInputs["fileTypeIdent"] = state ? state.fileTypeIdent : undefined;
            resourceInputs["folder"] = state ? state.folder : undefined;
            resourceInputs["hasKnownVulnerability"] = state ? state.hasKnownVulnerability : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["noAppidCaching"] = state ? state.noAppidCaching : undefined;
            resourceInputs["parentApp"] = state ? state.parentApp : undefined;
            resourceInputs["pervasiveUse"] = state ? state.pervasiveUse : undefined;
            resourceInputs["proneToMisuse"] = state ? state.proneToMisuse : undefined;
            resourceInputs["risk"] = state ? state.risk : undefined;
            resourceInputs["signatures"] = state ? state.signatures : undefined;
            resourceInputs["snippet"] = state ? state.snippet : undefined;
            resourceInputs["subcategory"] = state ? state.subcategory : undefined;
            resourceInputs["tcpHalfClosedTimeout"] = state ? state.tcpHalfClosedTimeout : undefined;
            resourceInputs["tcpTimeWaitTimeout"] = state ? state.tcpTimeWaitTimeout : undefined;
            resourceInputs["tcpTimeout"] = state ? state.tcpTimeout : undefined;
            resourceInputs["technology"] = state ? state.technology : undefined;
            resourceInputs["tfid"] = state ? state.tfid : undefined;
            resourceInputs["timeout"] = state ? state.timeout : undefined;
            resourceInputs["tunnelApplications"] = state ? state.tunnelApplications : undefined;
            resourceInputs["tunnelOtherApplication"] = state ? state.tunnelOtherApplication : undefined;
            resourceInputs["udpTimeout"] = state ? state.udpTimeout : undefined;
            resourceInputs["usedByMalware"] = state ? state.usedByMalware : undefined;
            resourceInputs["virusIdent"] = state ? state.virusIdent : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.category === undefined) && !opts.urn) {
                throw new Error("Missing required property 'category'");
            }
            if ((!args || args.risk === undefined) && !opts.urn) {
                throw new Error("Missing required property 'risk'");
            }
            if ((!args || args.subcategory === undefined) && !opts.urn) {
                throw new Error("Missing required property 'subcategory'");
            }
            if ((!args || args.technology === undefined) && !opts.urn) {
                throw new Error("Missing required property 'technology'");
            }
            resourceInputs["ableToTransferFile"] = args ? args.ableToTransferFile : undefined;
            resourceInputs["algDisableCapability"] = args ? args.algDisableCapability : undefined;
            resourceInputs["category"] = args ? args.category : undefined;
            resourceInputs["consumeBigBandwidth"] = args ? args.consumeBigBandwidth : undefined;
            resourceInputs["dataIdent"] = args ? args.dataIdent : undefined;
            resourceInputs["default"] = args ? args.default : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["device"] = args ? args.device : undefined;
            resourceInputs["evasiveBehavior"] = args ? args.evasiveBehavior : undefined;
            resourceInputs["fileTypeIdent"] = args ? args.fileTypeIdent : undefined;
            resourceInputs["folder"] = args ? args.folder : undefined;
            resourceInputs["hasKnownVulnerability"] = args ? args.hasKnownVulnerability : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["noAppidCaching"] = args ? args.noAppidCaching : undefined;
            resourceInputs["parentApp"] = args ? args.parentApp : undefined;
            resourceInputs["pervasiveUse"] = args ? args.pervasiveUse : undefined;
            resourceInputs["proneToMisuse"] = args ? args.proneToMisuse : undefined;
            resourceInputs["risk"] = args ? args.risk : undefined;
            resourceInputs["signatures"] = args ? args.signatures : undefined;
            resourceInputs["snippet"] = args ? args.snippet : undefined;
            resourceInputs["subcategory"] = args ? args.subcategory : undefined;
            resourceInputs["tcpHalfClosedTimeout"] = args ? args.tcpHalfClosedTimeout : undefined;
            resourceInputs["tcpTimeWaitTimeout"] = args ? args.tcpTimeWaitTimeout : undefined;
            resourceInputs["tcpTimeout"] = args ? args.tcpTimeout : undefined;
            resourceInputs["technology"] = args ? args.technology : undefined;
            resourceInputs["timeout"] = args ? args.timeout : undefined;
            resourceInputs["tunnelApplications"] = args ? args.tunnelApplications : undefined;
            resourceInputs["tunnelOtherApplication"] = args ? args.tunnelOtherApplication : undefined;
            resourceInputs["udpTimeout"] = args ? args.udpTimeout : undefined;
            resourceInputs["usedByMalware"] = args ? args.usedByMalware : undefined;
            resourceInputs["virusIdent"] = args ? args.virusIdent : undefined;
            resourceInputs["tfid"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(Application.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Application = Application;
/** @internal */
Application.__pulumiType = 'scm:index/application:Application';
//# sourceMappingURL=application.js.map