import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getDynamicUserGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getDynamicUserGroup(args: GetDynamicUserGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetDynamicUserGroupResult>;
/**
 * A collection of arguments for invoking getDynamicUserGroup.
 */
export interface GetDynamicUserGroupArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getDynamicUserGroup.
 */
export interface GetDynamicUserGroupResult {
    /**
     * The Description param. String length must not exceed 1023 characters.
     */
    readonly description: string;
    /**
     * tag-based filter. String length must not exceed 2047 characters.
     */
    readonly filter: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * Alphanumeric string [ 0-9a-zA-Z._-]. String length must not exceed 63 characters.
     */
    readonly name: string;
    /**
     * Tags for dynamic user group object. List must contain at most 64 elements. Individual elements in this list are subject to additional validation. String length must not exceed 127 characters.
     */
    readonly tags: string[];
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getDynamicUserGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getDynamicUserGroupOutput(args: GetDynamicUserGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDynamicUserGroupResult>;
/**
 * A collection of arguments for invoking getDynamicUserGroup.
 */
export interface GetDynamicUserGroupOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
