import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a listing of config items.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLabelList({});
 * ```
 */
export declare function getLabelList(args?: GetLabelListArgs, opts?: pulumi.InvokeOptions): Promise<GetLabelListResult>;
/**
 * A collection of arguments for invoking getLabelList.
 */
export interface GetLabelListArgs {
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    limit?: number;
    /**
     * The Name param.
     */
    name?: string;
    /**
     * The Offset param. Default: `0`.
     */
    offset?: number;
}
/**
 * A collection of values returned by getLabelList.
 */
export interface GetLabelListResult {
    /**
     * The Data param.
     */
    readonly datas: outputs.GetLabelListData[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    readonly limit: number;
    /**
     * The Name param.
     */
    readonly name?: string;
    /**
     * The Offset param. Default: `0`.
     */
    readonly offset: number;
    readonly tfid: string;
    /**
     * The Total param.
     */
    readonly total: number;
}
/**
 * Retrieves a listing of config items.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLabelList({});
 * ```
 */
export declare function getLabelListOutput(args?: GetLabelListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLabelListResult>;
/**
 * A collection of arguments for invoking getLabelList.
 */
export interface GetLabelListOutputArgs {
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    limit?: pulumi.Input<number>;
    /**
     * The Name param.
     */
    name?: pulumi.Input<string>;
    /**
     * The Offset param. Default: `0`.
     */
    offset?: pulumi.Input<number>;
}
