import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getMfaServer({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getMfaServer(args: GetMfaServerArgs, opts?: pulumi.InvokeOptions): Promise<GetMfaServerResult>;
/**
 * A collection of arguments for invoking getMfaServer.
 */
export interface GetMfaServerArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getMfaServer.
 */
export interface GetMfaServerResult {
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The MfaCertProfile param.
     */
    readonly mfaCertProfile: string;
    /**
     * The MfaVendorType param.
     */
    readonly mfaVendorType: outputs.GetMfaServerMfaVendorType;
    /**
     * The Name param.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getMfaServer({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getMfaServerOutput(args: GetMfaServerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMfaServerResult>;
/**
 * A collection of arguments for invoking getMfaServer.
 */
export interface GetMfaServerOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
